Axiomatic

Events

Business events that drive the posting engine

List events

GET
/api/events
x-api-key<token>

API key for programmatic access

In: header

Query Parameters

entityId?string
Formatuuid
page?integer
Default1
pageSize?integer
Default20
status?string

Filter by posting status

Value in"posted" | "pending_approval" | "reversed" | "failed" | "unposted"
action?string

Set to statusCounts to get aggregate status counts instead of events.

Value in"statusCounts"

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.us/api/events"
{
  "events": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "type": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "payload": {},
      "source": "string",
      "correlationId": "string",
      "idempotencyKey": "string",
      "schemaVersion": "string",
      "metadata": {},
      "postingStatus": "posted",
      "postingError": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0
}
{
  "error": "string"
}

Create an event

POST
/api/events
x-api-key<token>

API key for programmatic access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.axiomatic.us/api/events" \  -H "Content-Type: application/json" \  -d '{    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "type": "invoice_created"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "type": "string",
  "timestamp": "2019-08-24T14:15:22Z",
  "payload": {},
  "source": "string",
  "correlationId": "string",
  "idempotencyKey": "string",
  "schemaVersion": "string",
  "metadata": {},
  "postingStatus": "posted",
  "postingError": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "error": "string"
}
{
  "error": "string"
}